Get a blob object
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/git/blobs/{repositoryBlobId} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/git/blobs/{repositoryBlobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/git/blobs/{repositoryBlobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sha": "<string>",
"size": 123,
"encoding": "base64",
"content": "<string>"
}Repository
Get a blob object
Retrieve, by hash, an object representing a blob in the repository
backing a project. This endpoint allows direct read-only access
to the contents of files in a repo. It returns the file in the
content field of the response object, encoded according to the
format in the encoding field, e.g. base64.
GET
/
projects
/
{projectId}
/
git
/
blobs
/
{repositoryBlobId}
Get a blob object
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on June 16, 2026
Was this page helpful?